/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:
 known Problems: none
 Version:        20.05.2024
 Description:    48 Kanal Analog2DMX
------------------------------------------------------------------------------*/

#include <avr/io.h>
#include <util/delay.h>
#include <avr/eeprom.h>
#include "timer.h"
#include "adc.h"
#include "dmx_transmit.h"

int main(void)
{		
	sei();
	adc_init();
	timer_init();
		
	dmx_transmit_start();
	
    /* Replace with your application code */
    while (1)
	{
		dmxUniverse[0] = adc_ch[0];
		dmxUniverse[1] = adc_ch[1];
		dmxUniverse[2] = adc_ch[2];
		dmxUniverse[3] = adc_ch[3];
		dmxUniverse[4] = adc_ch[4];
		dmxUniverse[5] = adc_ch[5];
		dmxUniverse[6] = adc_ch[6];
		dmxUniverse[7] = adc_ch[7];
		
		dmxUniverse[8] = adc_ch[8];
		dmxUniverse[9] = adc_ch[9];
		dmxUniverse[10] = adc_ch[10];
		dmxUniverse[11] = adc_ch[11];
		dmxUniverse[12] = adc_ch[12];
		dmxUniverse[13] = adc_ch[13];
		dmxUniverse[14] = adc_ch[14];
		dmxUniverse[15] = adc_ch[15];
		
		dmxUniverse[16] = adc_ch[16];
		dmxUniverse[17] = adc_ch[17];
		dmxUniverse[18] = adc_ch[18];
		dmxUniverse[19] = adc_ch[19];
		dmxUniverse[20] = adc_ch[20];
		dmxUniverse[21] = adc_ch[21];
		dmxUniverse[22] = adc_ch[22];
		dmxUniverse[23] = adc_ch[23];
		
		dmxUniverse[24] = adc_ch[24];
		dmxUniverse[25] = adc_ch[25];
		dmxUniverse[26] = adc_ch[26];
		dmxUniverse[27] = adc_ch[27];
		dmxUniverse[28] = adc_ch[28];
		dmxUniverse[29] = adc_ch[29];
		dmxUniverse[30] = adc_ch[30];
		dmxUniverse[31] = adc_ch[31];
		
		dmxUniverse[32] = adc_ch[48];
		dmxUniverse[33] = adc_ch[49];
		dmxUniverse[34] = adc_ch[50];
		dmxUniverse[35] = adc_ch[51];
		dmxUniverse[36] = adc_ch[52];
		dmxUniverse[37] = adc_ch[53];
		dmxUniverse[38] = adc_ch[54];
		dmxUniverse[39] = adc_ch[55];
		
		dmxUniverse[40] = adc_ch[56];
		dmxUniverse[41] = adc_ch[57];
		dmxUniverse[42] = adc_ch[58];
		dmxUniverse[43] = adc_ch[59];
		dmxUniverse[44] = adc_ch[60];
		dmxUniverse[45] = adc_ch[61];
		dmxUniverse[46] = adc_ch[62];
		dmxUniverse[47] = adc_ch[63];

		_delay_ms(10);		
	/* End WHILE */	
    }
}

